Bug 173892 - Authentication doesn't fail over when AD becomes unavailable
Authentication doesn't fail over when AD becomes unavailable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks: 181411
  Show dependency treegraph
 
Reported: 2005-11-22 04:39 EST by Bastien Nocera
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0599
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
samba-3.0.10-ldap-failover-timeout-backport.patch (3.88 KB, patch)
2005-11-22 04:39 EST, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 2179 None None None Never

  None (edit)
Description Bastien Nocera 2005-11-22 04:39:02 EST
samba-3.0.10-1.4E.2

This is the same problem as upstream bug:
https://bugzilla.samba.org/show_bug.cgi?id=2179

Samba and winbind will not failover properly when a primary active directory
server fails. Authentication works well until the primary AD servers network
cable is pulled.  The secondary is still available but it is unable to
authenticate to it without rebooting.

Patch backported from upstream attached
Comment 1 Bastien Nocera 2005-11-22 04:39:06 EST
Created attachment 121335 [details]
samba-3.0.10-ldap-failover-timeout-backport.patch
Comment 6 Jay Fenlason 2005-12-08 13:53:07 EST
rpms for samba-3.0.10-1.4E.4 have been built, ready for hotfixing. 
Comment 12 Red Hat Bugzilla 2006-08-10 17:42:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0599.html

Note You need to log in before you can comment on or make changes to this bug.